Bug 469416 - Broken dB information in UVC driver
Broken dB information in UVC driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
: 463714 468695 (view as bug list)
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2008-10-31 14:40 EDT by Tom London
Modified: 2010-11-04 08:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 08:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.sh output. (17.15 KB, text/plain)
2009-04-13 08:59 EDT, Luckis P
no flags Details

  None (edit)
Description Tom London 2008-10-31 14:40:57 EDT
Description of problem:
Plugging in a USB camera (Logitech Quickcam Pro for Notebooks (2007 model)) generates the following in /var/log/messages:

Oct 31 11:33:17 tlondon kernel: usb 2-1: new high speed USB device using ehci_hcd and address 2
Oct 31 11:33:18 tlondon kernel: usb 2-1: configuration #1 chosen from 1 choice
Oct 31 11:33:18 tlondon kernel: usb 2-1: New USB device found, idVendor=046d, idProduct=0991
Oct 31 11:33:18 tlondon kernel: usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Oct 31 11:33:18 tlondon kernel: usb 2-1: SerialNumber: 268AC312
Oct 31 11:33:18 tlondon kernel: Linux video capture interface: v2.00
Oct 31 11:33:18 tlondon kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:0991)
Oct 31 11:33:18 tlondon kernel: input: UVC Camera (046d:0991) as /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/input/input13
Oct 31 11:33:18 tlondon kernel: usbcore: registered new interface driver uvcvideo
Oct 31 11:33:18 tlondon kernel: USB Video Class driver (v0.1.0)
Oct 31 11:33:18 tlondon kernel: usbcore: registered new interface driver snd-usb-audio
Oct 31 11:33:20 tlondon pulseaudio[3353]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
Oct 31 11:33:20 tlondon pulseaudio[3353]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
Oct 31 11:33:20 tlondon pulseaudio[3353]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.

Kernel is kernel-2.6.27.4-69.fc10.x86_64.  Not sure why the device is not recognized better.....


Version-Release number of selected component (if applicable):
pulseaudio-libs-0.9.13-4.fc10.x86_64
pulseaudio-esound-compat-0.9.13-4.fc10.x86_64
pulseaudio-core-libs-0.9.13-4.fc10.x86_64
pulseaudio-module-x11-0.9.13-4.fc10.x86_64
pulseaudio-module-gconf-0.9.13-4.fc10.x86_64
pulseaudio-libs-glib2-0.9.13-4.fc10.x86_64
pulseaudio-utils-0.9.13-4.fc10.x86_64
pulseaudio-utils-0.9.13-4.fc10.i386
pulseaudio-libs-0.9.13-4.fc10.i386
pulseaudio-0.9.13-4.fc10.x86_64


How reproducible:
Looks like every time I plug it in....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2008-10-31 15:03:04 EDT
Please file this against the kernel. The log message tries to make clear that this is an issue in the kernel driver. (I am wodnering, is there anything to misunderstand in the message?)

Your hardware exposes invalid dB information which the ALSA driver passes on to userspace. It shouldn't do that. A volume range from 18dB to 18dB just doesn't make sense. The place to filter out bogus data like that is in the kernel, not in PA.
Comment 2 Tom London 2008-11-12 12:32:34 EST
Continue to get this with kernel-2.6.27.5-101.fc10.x86_64:

Nov 12 09:31:00 tlondon kernel: usb 2-1: new high speed USB device using ehci_hcd and address 2
Nov 12 09:31:01 tlondon kernel: usb 2-1: configuration #1 chosen from 1 choice
Nov 12 09:31:01 tlondon kernel: usb 2-1: New USB device found, idVendor=046d, idProduct=0991
Nov 12 09:31:01 tlondon kernel: usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Nov 12 09:31:01 tlondon kernel: usb 2-1: SerialNumber: 268AC312
Nov 12 09:31:01 tlondon kernel: Linux video capture interface: v2.00
Nov 12 09:31:01 tlondon kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:0991)
Nov 12 09:31:01 tlondon kernel: input: UVC Camera (046d:0991) as /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/input/input13
Nov 12 09:31:01 tlondon kernel: usbcore: registered new interface driver snd-usb-audio
Nov 12 09:31:01 tlondon kernel: usbcore: registered new interface driver uvcvideo
Nov 12 09:31:01 tlondon kernel: USB Video Class driver (v0.1.0)
Nov 12 09:31:02 tlondon pulseaudio[3257]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
Nov 12 09:31:02 tlondon pulseaudio[3257]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
Nov 12 09:31:02 tlondon pulseaudio[3257]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Comment 3 Bug Zapper 2008-11-25 23:34:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mark Harig 2009-01-26 21:02:07 EST
I am seeing this error message, too.  Here is some information about the sound card device driver:

1) First, the error message from /var/log/messages:

pulseaudio[2613]: module-alsa-source.c: Your kernel driver is broken: it
reports a volume range from 18.00 dB to 18.00 dB which makes no sense.

2) From /var/log/dmesg:

EMU10K1_Audigy 0000:03:06.0: PCI INT A -> GSI 29 (level, low) -> IRQ 29
ALSA sound/pci/emu10k1/emufx.c:1546: Installing spdif_bug patch: SB Audigy 2 ZS [SB0350]

3) From /etc/modprobe.d/modprobe.conf.dist:

$ grep -i emu10k1 /etc/modprobe.d/modprobe.conf.dist
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 && /sbin/modprobe snd-emu10k1-synth

4) kernel version:

$ uname -r
2.6.27.9-159.fc10.x86_64
Comment 5 Mark Harig 2009-01-26 21:27:51 EST
In case it is of some use, here is a bit more information about my "Multimedia audio controller":

$ su -c "lspci -vs 03:06.0"

03:06.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
        Subsystem: Creative Labs SB Audigy 2 ZS (SB0350)
        Flags: bus master, medium devsel, latency 64, IRQ 29
        I/O ports at b880 [size=64]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: EMU10K1_Audigy
        Kernel modules: snd-emu10k1
Comment 6 Jaroslav Kysela 2009-02-04 05:40:17 EST
Please, attach output from 'amixer contents' command to analyze your problems. Thanks.
Comment 7 Jaroslav Kysela 2009-02-04 05:43:45 EST
*** Bug 468695 has been marked as a duplicate of this bug. ***
Comment 8 Tom London 2009-02-04 13:17:03 EST
OK.  Here are messages in /var/log/messages when I plug in the camera:


Feb  4 10:10:00 tlondon kernel: usb 1-1: new high speed USB device using ehci_hcd and address 9
Feb  4 10:10:00 tlondon kernel: usb 1-1: New USB device found, idVendor=046d, idProduct=0991
Feb  4 10:10:00 tlondon kernel: usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Feb  4 10:10:00 tlondon kernel: usb 1-1: SerialNumber: 268AC312
Feb  4 10:10:00 tlondon kernel: usb 1-1: configuration #1 chosen from 1 choice
Feb  4 10:10:00 tlondon kernel: Linux video capture interface: v2.00
Feb  4 10:10:00 tlondon kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:0991)
Feb  4 10:10:00 tlondon kernel: usbcore: registered new interface driver snd-usb-audio
Feb  4 10:10:00 tlondon kernel: input: UVC Camera (046d:0991) as /devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/input/input14
Feb  4 10:10:00 tlondon kernel: usbcore: registered new interface driver uvcvideo
Feb  4 10:10:00 tlondon kernel: USB Video Class driver (v0.1.0)
Feb  4 10:10:01 tlondon pulseaudio[3321]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
Feb  4 10:10:01 tlondon pulseaudio[3321]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
Feb  4 10:10:01 tlondon pulseaudio[3321]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.

Output of 'amixer contents':

[root@tlondon ~]# amixer contents
numid=0,iface=MIXER,name='Master Playback Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=0,iface=MIXER,name='Master Playback Volume'
  ; type=INTEGER,access=rw------,values=2,min=0,max=65536,step=1
  : values=62259,62259
numid=0,iface=MIXER,name='Capture Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=0,iface=MIXER,name='Capture Volume'
  ; type=INTEGER,access=rw------,values=2,min=0,max=65536,step=1
  : values=56636,56636
[root@tlondon ~]# 


That what you're looking for?
Comment 9 Mark Harig 2009-02-04 13:45:53 EST
I see (essentially) the same messages output by 'amixer contents', with only the ': values=' lines differing for the Volume sections.

This continues in the latest version of the Fedora 10 x86_64 kernel:

uname -r
2.6.27.12-170.2.5.fc10.x86_64
Comment 10 Tom London 2009-02-04 13:49:56 EST
Should have mentioned, I'm now running kernel-2.6.29-0.78.rc3.git5.fc11.x86_64
Comment 11 Bastien Nocera 2009-03-09 05:46:35 EDT
Mark, file a separate bug. All the "cards" reported here are webcams that use the UVC driver. Yours is a SB Audigy.
Comment 12 Chuck Ebbert 2009-03-28 10:19:34 EDT
*** Bug 463714 has been marked as a duplicate of this bug. ***
Comment 13 Luckis P 2009-04-12 07:26:47 EDT
Same Problem here, i use the Logitech MP6600 quickcam. The problem is that when i am using pulseaudio and VoIP client like ekiga or skype my sound-system becomes useless, the sound is extremely distorted and chopped also i am affected seriously by the bug https://bugzilla.redhat.com/show_bug.cgi?id=472339 .
If there is anything i can do please let me know!
Comment 14 Luckis P 2009-04-13 08:59:24 EDT
Created attachment 339311 [details]
alsa-info.sh output.
Comment 15 Luckis P 2009-04-13 09:12:22 EDT
(In reply to comment #14)
> Created an attachment (id=339311) [details]
> alsa-info.sh output.  

Jaroslav thanks for the reply and the interest,
i attached the output. i noticed that even though pulseaudio was running at the time, the log points that it wasn't, is that normal?
If you need anything else, please ask for it, i 'll be more than happy to assist.
Comment 16 Luckis P 2009-04-17 19:02:12 EDT
I think that this bug should be changed to priority - low and severity - low.
This issue may be due to alsa trying to configure the usb mic as a whole soundcard and thats why it gives these:

"Device hw:1 doesn't support..."
A.  44100 Hz, changed to 16000 Hz (Common mic frequency)
B.  2 channels, changed to 1.     (its a webcam mic of course its 1 channel)
C.  Reports a volume range from 18.00 dB to 18.00 dB   (i guess that's because the built in microphone doesn't support hardware volume level management only software) 

and since the output is like that, the alsa module complain that the "soundcard" is not correctly configured (broken driver) although the actual microphone is configured correctly and working! 
At least that is my personal opinion, does everyone agree?
Comment 17 Bastien Nocera 2009-04-17 20:09:49 EDT
(In reply to comment #16)
> I think that this bug should be changed to priority - low and severity - low.
<snip>
> and since the output is like that, the alsa module complain that the
> "soundcard" is not correctly configured (broken driver) although the actual
> microphone is configured correctly and working! 
> At least that is my personal opinion, does everyone agree?  

The original bug is about the messages, not about the microphone working or not. The severity is just fine as it is.
Comment 18 Robert de Rooy 2009-08-11 09:28:21 EDT
Same problem with F12 Rawhide running kernel 2.6.31-0.145.rc5.git3.fc12.i686

ID 046d:0991 Logitech, Inc. QuickCam Pro for Notebooks

This is another UVC cam
But I only get the Db message, not the other Hz and Channels messages.
Comment 19 Bug Zapper 2009-11-16 04:34:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Tom London 2009-11-25 15:32:50 EST
Yeah, I'm still seeing this with kernel-2.6.31.6-148.fc12.x86_64


Nov 25 12:30:22 tlondon kernel: usb 1-1: new high speed USB device using ehci_hcd and address 9
Nov 25 12:30:23 tlondon kernel: usb 1-1: New USB device found, idVendor=046d, idProduct=0991
Nov 25 12:30:23 tlondon kernel: usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Nov 25 12:30:23 tlondon kernel: usb 1-1: SerialNumber: 268AC312
Nov 25 12:30:23 tlondon kernel: usb 1-1: configuration #1 chosen from 1 choice
Nov 25 12:30:24 tlondon kernel: Linux video capture interface: v2.00
Nov 25 12:30:24 tlondon kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:0991)
Nov 25 12:30:24 tlondon kernel: input: UVC Camera (046d:0991) as /devices/pci0000:00/0000:00:1a.7/usb1/1-1/1-1:1.0/input/input14
Nov 25 12:30:24 tlondon kernel: usbcore: registered new interface driver uvcvideo
Nov 25 12:30:24 tlondon kernel: USB Video Class driver (v0.1.0)
Nov 25 12:30:24 tlondon kernel: usbcore: registered new interface driver snd-usb-audio
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon pulseaudio[1881]: alsa-mixer.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Nov 25 12:30:25 tlondon rtkit-daemon[1721]: Sucessfully made thread 4352 of process 1881 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Comment 21 Bug Zapper 2010-11-04 07:43:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Robert de Rooy 2010-11-04 08:20:46 EDT
No longer seeing this with kernel 2.6.35.6 (Fedora 14), it seems a quirk has been added at some point, which may explain it. Here is what I get

Nov  4 13:16:08 t410 kernel: [80454.829415] usb 1-1.5.1: new high speed USB device using ehci_hcd and address 11
Nov  4 13:16:08 t410 kernel: [80455.048243] usb 1-1.5.1: New USB device found, idVendor=046d, idProduct=0991
Nov  4 13:16:08 t410 kernel: [80455.048250] usb 1-1.5.1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Nov  4 13:16:08 t410 kernel: [80455.048255] usb 1-1.5.1: SerialNumber: A86056E0
Nov  4 13:16:08 t410 kernel: [80455.048731] uvcvideo: Found UVC 1.00 device <unnamed> (046d:0991)
Nov  4 13:16:08 t410 kernel: [80455.081645] input: UVC Camera (046d:0991) as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.5/1-1.5.1/1-1.5.1:1.0/input/input9
Nov  4 13:16:08 t410 kernel: [80455.583432] ALSA sound/usb/mixer.c:1118: set resolution quirk: cval->res = 384
Nov  4 13:16:08 t410 kernel: [80455.583775] usbcore: registered new interface driver snd-usb-audio

As such closing this bug report

Note You need to log in before you can comment on or make changes to this bug.